pcl::io::openni2 Namespace Reference

## Classes

class | OpenNI2Device
struct | OpenNI2DeviceInfo
class | OpenNI2DeviceManager
class | OpenNI2FrameListener
class | OpenNI2TimerFilter
struct | OpenNI2VideoMode

## Typedefs

typedef pcl::io::DepthImage | DepthImage
typedef pcl::io::IRImage | IRImage
typedef pcl::io::Image | Image
typedef boost::function< void(openni::VideoStream &stream)> | StreamCallbackFunction

## Enumerations

enum | PixelFormat { PIXEL_FORMAT_DEPTH_1_MM = 100, PIXEL_FORMAT_DEPTH_100_UM = 101, PIXEL_FORMAT_SHIFT_9_2 = 102, PIXEL_FORMAT_SHIFT_9_3 = 103, PIXEL_FORMAT_RGB888 = 200, PIXEL_FORMAT_YUV422 = 201, PIXEL_FORMAT_GRAY8 = 202, PIXEL_FORMAT_GRAY16 = 203, PIXEL_FORMAT_JPEG = 204, PIXEL_FORMAT_YUYV = 205 }

## Functions

const OpenNI2DeviceInfo | openni2_convert (const openni::DeviceInfo *pInfo)
const openni::VideoMode | grabberModeToOpenniMode (const OpenNI2VideoMode &input)
const OpenNI2VideoMode | openniModeToGrabberMode (const openni::VideoMode &input)
const std::vector< OpenNI2VideoMode > | openniModeToGrabberMode (const openni::Array< openni::VideoMode > &input)
PCL_EXPORTS std::ostream & | operator<< (std::ostream &stream, const OpenNI2Device &device)
std::ostream & | operator<< (std::ostream &stream, const OpenNI2DeviceInfo &device_info)
std::ostream & | operator<< (std::ostream &stream, const OpenNI2DeviceManager &device_manager)
std::ostream & | operator<< (std::ostream &stream, const OpenNI2VideoMode &video_mode)
bool | operator== (const OpenNI2VideoMode &video_mode_a, const OpenNI2VideoMode &video_mode_b)
bool | operator!= (const OpenNI2VideoMode &video_mode_a, const OpenNI2VideoMode &video_mode_b)

## Typedef Documentation

typedef pcl::io::DepthImage pcl::io::openni2::DepthImage

Definition at line 67 of file openni2_device.h.

typedef pcl::io::Image pcl::io::openni2::Image

Definition at line 69 of file openni2_device.h.

typedef pcl::io::IRImage pcl::io::openni2::IRImage

Definition at line 68 of file openni2_device.h.

typedef boost::function<void(openni::VideoStream& stream)> pcl::io::openni2::StreamCallbackFunction

Definition at line 52 of file openni2_frame_listener.h.

## Enumeration Type Documentation

enum pcl::io::openni2::PixelFormat

Enumerator
PIXEL_FORMAT_DEPTH_1_MM |
PIXEL_FORMAT_DEPTH_100_UM |
PIXEL_FORMAT_SHIFT_9_2 |
PIXEL_FORMAT_SHIFT_9_3 |
PIXEL_FORMAT_RGB888 |
PIXEL_FORMAT_YUV422 |
PIXEL_FORMAT_GRAY8 |
PIXEL_FORMAT_GRAY16 |
PIXEL_FORMAT_JPEG |
PIXEL_FORMAT_YUYV |

Definition at line 47 of file openni2_video_mode.h.

## Function Documentation

const openni::VideoMode pcl::io::openni2::grabberModeToOpenniMode | ( | const OpenNI2VideoMode & | input | ) |

const OpenNI2DeviceInfo pcl::io::openni2::openni2_convert | ( | const openni::DeviceInfo * | pInfo | ) |

const OpenNI2VideoMode pcl::io::openni2::openniModeToGrabberMode | ( | const openni::VideoMode & | input | ) |

const std::vector<OpenNI2VideoMode> pcl::io::openni2::openniModeToGrabberMode | ( | const openni::Array< openni::VideoMode > & | input | ) |

bool pcl::io::openni2::operator!= | ( | const OpenNI2VideoMode & | video_mode_a,
|  | const OpenNI2VideoMode & | video_mode_b
| ) |  |

std::ostream& pcl::io::openni2::operator<< | ( | std::ostream & | stream,
|  | const OpenNI2DeviceInfo & | device_info
| ) |  |

std::ostream& pcl::io::openni2::operator<< | ( | std::ostream & | stream,
|  | const OpenNI2VideoMode & | video_mode
| ) |  |

std::ostream& pcl::io::openni2::operator<< | ( | std::ostream & | stream,
|  | const OpenNI2DeviceManager & | device_manager
| ) |  |

PCL_EXPORTS std::ostream& pcl::io::openni2::operator<< | ( | std::ostream & | stream,
|  | const OpenNI2Device & | device
| ) |  |

bool pcl::io::openni2::operator== | ( | const OpenNI2VideoMode & | video_mode_a,
|  | const OpenNI2VideoMode & | video_mode_b
| ) |  |